package Camera;

public interface LiveCamEvent {
    void onDetectedQRCode(String qrCode);
    void onFrontalFaceDetector(boolean hasface, int width, int height);
    void onProfileFaceDetector(boolean hasface, int width, int height);
    void onEyeDetector(boolean hasEye);
    void onLeftEarDetector(boolean hasLeftEar, int width, int height);
    void onRightEarDetector(boolean hasRightEar, int width, int height);
    void onLeftEyeDetector(boolean hasLeftEye, int width, int height);
    void onRightEyeDetector(boolean hasRightEye, int width, int height);
    void onLog(String log);
    void onBlink(int counter);
    void onStartCapturing();
    void onIntervalUpdate();
}
